import { AfterContentInit, AfterViewInit, ElementRef, QueryList, TemplateRef } from '@angular/core';
import { BaseComponent } from 'primeng/basecomponent';
import { PrimeTemplate } from 'primeng/api';
import * as i0 from "@angular/core";
/**
 * TabList is a helper component for Tabs component.
 * @group Components
 */
export declare class TabList extends BaseComponent implements AfterViewInit, AfterContentInit {
    /**
     * A template reference variable that represents the previous icon in a UI component.
     * @type {TemplateRef<any> | undefined}
     * @group Templates
     */
    prevIconTemplate: TemplateRef<any> | undefined;
    /**
     * A template reference variable that represents the next icon in a UI component.
     * @type {TemplateRef<any> | undefined}
     * @group Templates
     */
    nextIconTemplate: TemplateRef<any> | undefined;
    content: ElementRef<HTMLDivElement>;
    prevButton: ElementRef<HTMLButtonElement>;
    nextButton: ElementRef<HTMLButtonElement>;
    inkbar: ElementRef<HTMLSpanElement>;
    tabs: ElementRef<HTMLDivElement>;
    templates: QueryList<PrimeTemplate>;
    pcTabs: any;
    isPrevButtonEnabled: import("@angular/core").WritableSignal<boolean>;
    isNextButtonEnabled: import("@angular/core").WritableSignal<boolean>;
    resizeObserver: ResizeObserver;
    showNavigators: import("@angular/core").Signal<any>;
    tabindex: import("@angular/core").Signal<any>;
    scrollable: import("@angular/core").Signal<any>;
    get prevButtonAriaLabel(): string;
    get nextButtonAriaLabel(): string;
    constructor();
    ngAfterViewInit(): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    onScroll(event: any): void;
    onPrevButtonClick(): void;
    onNextButtonClick(): void;
    updateButtonState(): void;
    updateInkBar(): void;
    getVisibleButtonWidths(): number;
    bindResizeObserver(): void;
    unbindResizeObserver(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabList, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabList, "p-tablist", never, {}, {}, ["prevIconTemplate", "nextIconTemplate", "templates"], ["*"], true, never>;
}
